<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">

<hibernate-mapping default-lazy="false" default-cascade="save-update">
    <class name="gov.va.med.cds.clinicaldata.DomainEntryPointWrapper" table="DOMAIN_ENTRY_POINT" lazy="false">
        <id type="java.lang.Long" >
            <column name="DOMAIN_ENTRY_POINT_ID" />
 			<generator class="sequence">
				<param name="sequence">domain_entry_point_seq_id</param>
			</generator>
        </id>

		<property name="name" column="NAME" type="java.lang.String" />
		<property name="domain" column="DOMAIN" type="java.lang.String" />

	</class>


     <query name="DomainEntryPointText">
		<![CDATA[
		from DomainEntryPointWrapper depw
		where depw.name = :nameTxt
		and depw.domain = :domainTxt
      ]]>
	</query>

</hibernate-mapping>
